<template>
<div>
    <nav class="navbar is-default" role="navigation" aria-label="main navigation">
        <div class="container">
            <div class="navbar-brand">

                <a role="button" @click="showNav = !showNav" v-bind:class="{ 'is-active' : showNav }" class="navbar-burger burger" aria-label="menu" refs="navBarH" aria-expanded="false" data-target="mainNavbar">
                <span aria-hidden="true"></span>
                <span aria-hidden="true"></span>
                <span aria-hidden="true"></span>
                </a>
            </div>

            <div id="mainNavbar" class="navbar-menu" ref="navMenu" v-bind:class="{ 'is-active' : showNav }">
                <div class="navbar-start">
                <nuxt-link :to="localePath({ name: 'index'})" class="navbar-item" exact>
                        ... continuar comprando
                </nuxt-link>
                </div>
                <div class="navbar-end">
                    <div class="navbar-menu">
                        <div class="navbar-item has-dropdown is-hoverable">
                                <a href="" class="navbar-link">
                                        <!-- <b-icon icon="user"></b-icon>  -->
                                        logado como&#160;
                                        <span> {{ $auth.user.name }}</span>
                                </a>
                                <div class="navbar-dropdown is-default">
                                    <a class="navbar-item">
                                        Perfil
                                    </a>
                                    <nuxt-link :to="localePath({ name: 'orders' })" class="navbar-item"
                                    >
                                        Minhas Compras
                                    </nuxt-link>
                                    <hr class="navbar-divider">
                                    <a @click.prevent="logout" class="navbar-item">
                                        Sair
                                    </a>

                                </div>
                            </div>
                        </div>
                    </div>
            </div>
        </div>
    </nav>
</div>
</template>

<script>

import { mapActions } from 'vuex'

export default {
    name: 'layout-navigation-checkout',
    data () {
        return {
            showNav: false
        }
    },
    methods: {
        ...mapActions({
            clearCart: 'cart/clearCart',
            authLogout: 'auth/logout'
        }),

        async logout () {
            await this.$auth.logout()
            this.$toast.success('Logout...')
            this.clearCart()
            this.$router.push({
                path: '/'
            })
        },

        toggleNav() {
            // const burger = this.$refs.navBarH
            // const nav = this.$refs.navMenu

            //     console.log(burger)
            //     console.log(nav)
                // burger.classList('is-active')
                // nav.classList('is-active')

        }
    },
}
</script>

<style scoped>
    @media screen and (min-width: 800px) {
        .navbar-item.is-hoverable:hover .navbar-dropdown {
            display: block !important;
        }
        .navbar-item.is-hoverable:focus-within .navbar-dropdown {
            display: none;
        }
    }
    .navbar {
        font-size: .9em
    }

    .navbar-end {
        margin-right: 5vh;
    }
</style>
